<div class="allcontainer">
  <!--CHAT PART-->
  <div class="chat-container">
    <div class="row">
      <div class="col-2"></div>
      <div class="col-7">
        <div class="card">
          <div class="card-header">
            <h4>{{ name }}</h4>
          </div>
          <div class="card-body">
            <span *ngIf="Warning == 'Please Select User =>'">{{ Warning }}</span>
            <!--<pre>{{ getonlineUser() | json }}</pre>-->
            <ul class="messagebox" *ngFor="let message of chatmsg">
              <li *ngIf="message != ''">{{ message }}</li>
            </ul>
          </div>
          <div class="card-footer">
            <div class="input-group">
              <input name="" class="form-control type_msg" placeholder="Type your message..." [(ngModel)]="textmsg" />

              <div class="input-group-append">
                <button class="btn login_btn" (click)="clickSend()"><i class="fas fa-location-arrow"></i></button>
              </div>
            </div>
          </div>
        </div>
        <div class="col-3"></div>
      </div>
    </div>
  </div>

  <!---- list -->
  <nav class="list">
    <div class="my-container">
      <div class="container-header">
        <h1><i class="fa-solid fa-crown"></i>{{ displayname }}</h1>
        <!--<div class="input-group">
          <input type="text" placeholder="Search..." name="" class="form-control search" />
          <div class="input-group-prepend">
            <span class="input-group-text search_btn"><i class="fas fa-search"></i></span>
          </div>
        </div>-->
      </div>
      <div class="container-body">
        <span>User Online : {{ getonlineUser().length }} </span>
        <ul class="listuseronline" (click)="clickUser($event)">
          <li *ngFor="let user of getonlineUser()">{{ user.displayname }}</li>
        </ul>
      </div>

      <div class="container-footer"></div>
    </div>
  </nav>
</div>
